% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/extract_building_information.R
\name{extract_building_information}
\alias{extract_building_information}
\title{Extract information of a model from building and furniture components}
\usage{
extract_building_information(
  model,
  verbose = getOption("floodam_building_verbose")
)
}
\arguments{
\item{model}{an object of class model}

\item{verbose}{logical, default to getOption("floodam_building_verbose")}
}
\value{
An object of class "model" with those characteristics added
\describe{
  \item{parameter}{list of data frames, giving information on some elementary components used in the model}
  \item{storey}{data frame, information at storey level}
  \item{room}{data frame, information at room level}
  \item{wall}{data frame, information at wall level}
  \item{opening}{data frame, information at opening level}
  \item{coating}{data frame, information at coating level}
}
furniture component of the model is adjusted according to information in building
}
\description{
Extract information of a model from building and furniture components
}
\examples{

	model = dwelling
	model = extract_building_information(model)
 

}
