% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/analyse_hydraulics.R
\name{py_simulate_hydraulics}
\alias{py_simulate_hydraulics}
\title{Analyse the hydraulics of the maquette}
\usage{
py_simulate_hydraulics(
  dataexch,
  datarooms,
  databound,
  dtmax = 0.5,
  t = 0,
  tmax,
  ID,
  envname
)
}
\arguments{
\item{dataexch}{numeric, matrix of openings and their dimensions}

\item{datarooms}{numeric, matrix of room dimensions}

\item{databound}{numeric, limnigraph describing the flood event}

\item{dtmax}{numeric, simulation time step, default to 0.5 (default value fixed by Pascal Finaud-Guyot. Non-modifiable without adjusting python model)}

\item{t}{numeric, time step where the flood event starts, default to 0}

\item{tmax}{numeric, time step where the flood event ends}

\item{ID}{character, simulation ID}

\item{envname}{character; name of the python's virtual environment.}
}
\value{
data.frame of hydraulic values: water exchanges through openings and floodwater depth in rooms
}
\description{
{
The function searches for the python module that calculates the indoor hydraulic behavior, passes values to the hydraulic model and returns results
}
}
