test_that("Test model with missing elementary components",
    {
        output_dir = tempdir()
        expected_warning = sprintf(
            "%s elementary component(s) do not have damaging functions! Look at %s/model/adu/adu_t_missing/adu_t_missing.log for details. Damage estimated without them.",
            5,
            output_dir
        )

        expect_no_warning(
            adu_t <- analyse_model(
                model = "adu_t",
                type = "adu",
                path = init_create_path(
                    input = system.file(
                        "extdata", 
                        package = "floodam.building"
                    ),
                    output = output_dir
                ),
                stage = c("load", "extract", "damaging"),
                version_building = NULL,
                verbose = FALSE
            )
        )

        expect_warning(
            adu_t_missing <- analyse_model(
                model = "adu_t_missing",
                type = "adu",
                path = init_create_path(
                    input = system.file(
                        "extdata", 
                        package = "floodam.building"
                    ),
                    output = output_dir
                ),
                stage = c("load", "extract", "damaging"),
                version_building = NULL,
                verbose = FALSE
            ),
            expected_warning,
            fixed = TRUE
        )
    }
)
